#
# spec file for package python-dingus
#
# Copyright (c) 2013 SUSE LINUX Products GmbH, Nuernberg, Germany.
#
# All modifications and additions to the file contributed by third parties
# remain the property of their copyright owners, unless otherwise agreed
# upon. The license for this file, and modifications and additions to the
# file, is the same license as for the pristine package itself (unless the
# license for the pristine package is not an Open Source License, in which
# case the license is the MIT License). An "Open Source License" is a
# license that conforms to the Open Source Definition (Version 1.9)
# published by the Open Source Initiative.

# Please submit bugfixes or comments via http://bugs.opensuse.org/
#


Name:           python-dingus
Version:        0.3.4
Release:        13.1
Url:            https://github.com/garybernhardt/dingus
Summary:        A record-then-assert mocking library
License:        MIT
Group:          Development/Languages/Python
Source:         http://pypi.python.org/packages/source/d/dingus/dingus-%{version}.tar.gz
BuildRoot:      %{_tmppath}/%{name}-%{version}-build
BuildRequires:  python-devel
BuildRequires:  python-setuptools
%if 0%{?suse_version} && 0%{?suse_version} <= 1110
%{!?python_sitelib: %global python_sitelib %(python -c "from distutils.sysconfig import get_python_lib; print get_python_lib()")}
%else
BuildArch:      noarch
%endif

%description
A dingus is sort of like a mock object. The main difference is that you don't
set up expectations ahead of time. You just run your code, using a dingus in
place of another object or class, and it will record what happens to it. Then,
once your code has been exercised, you can make assertions about what it did
to the dingus.

%prep
%setup -q -n dingus-%{version}

%build
CFLAGS="%{optflags}" python setup.py build

%install
python setup.py install --prefix=%{_prefix} --root=%{buildroot}
rm %{buildroot}%{_prefix}/README.txt # Remove wrongly installed documentation

%files
%defattr(-,root,root,-)
%doc README.txt
%{python_sitelib}/*

%changelog
* Thu Oct 24 2013 speilicke@suse.com
- Require python-setuptools instead of distribute (upstreams merged)
* Thu Mar 15 2012 saschpe@suse.de
- Update to version 0.3.4:
  * Clarify licensing terms (it's indeed MIT), solves bnc#752201
* Sat Mar 10 2012 saschpe@gmx.de
- Initial version
